<?php

// Mailer class usage example
require_once('class_Mailer.php');

// instantiate the mailer and set our sender/recipient information
$mailer = &new Mailer();
$sender_email_address = 'me@example.com';
$sender_name = 'Me';
$recipient_email_address = 'you@example.com';
$recipient_name = 'You';
$subject = 'Test message';

// Compose the message
$mailer->compose($sender_email_address,$recipient_email_address,$subject,$sender_name,$recipient_name);

// Set the text version of the message
$message_text = "Hello,\n\nThis is a test.";
$mailer->set_text($message_text);

// Set the HTML version of the message (optional)
$message_html = "Hello,<br /><br /><strong>This is a test.</strong><br />";
$mailer->set_html($message_html);

// Attach a file
$mailer->attach('/tmp/myfile.bin');

// Attach a picture (with mime type so that it shows up inline in rich mail clients)
$mailer->attach('/tmp/mypicture.jpg','image/jpeg');

// Send the message
$mailer->send()

// Done!


?>
